Package net.shibboleth.idp.attribute.filter.policyrule.saml.impl

# Class AbstractEntityAttributeExactPolicyRule

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent
net.shibboleth.idp.attribute.filter.policyrule.impl.AbstractPolicyRule
net.shibboleth.idp.attribute.filter.policyrule.saml.impl.AbstractEntityAttributePolicyRule
net.shibboleth.idp.attribute.filter.policyrule.saml.impl.AbstractEntityAttributeExactPolicyRule

All Implemented Interfaces:
  `PolicyRequirementRule`, `Component`, `DestructableComponent`, `IdentifiableComponent`, `IdentifiedComponent`, `InitializableComponent`

Direct Known Subclasses:
  `IssuerEntityAttributeExactPolicyRule`, `ProxiedRequesterEntityAttributeExactPolicyRule`, `RequesterEntityAttributeExactPolicyRule`

public abstract class AbstractEntityAttributeExactPolicyRule extends AbstractEntityAttributePolicyRule
Matcher that checks, via an exact match, for an entity attribute with a given value.

## Nested Class Summary

## Nested classes/interfaces inherited from interface net.shibboleth.idp.attribute.filter.PolicyRequirementRule

`PolicyRequirementRule.Tristate`

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`value`
The value of the entity attribute the entity must have.

### Fields inherited from interface net.shibboleth.idp.attribute.filter.PolicyRequirementRule

`MATCHES_ALL, MATCHES_NONE, REQUIREMENT_RULE_FAILS`

## Constructor Summary

Constructors
Constructor
Description
`AbstractEntityAttributeExactPolicyRule()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doInitialize()`
`protected boolean`
`entityAttributeValueMatches(Set<String> entityAttributeValues)`
Checks whether the given entity attribute's values match for particular implementations of this functor.
`String`
`getValue()`
Gets the value of the entity attribute the entity must have.
`void`
`setValue(String attributeValue)`
Sets the value of the entity attribute the entity must have.

### Methods inherited from class net.shibboleth.idp.attribute.filter.policyrule.saml.impl.AbstractEntityAttributePolicyRule

`getAttributeName, getEntityMetadata, getIgnoreUnmappedEntityAttributes, getNameFormat, matches, setAttributeName, setIgnoreUnmappedEntityAttributes, setNameFormat`

### Methods inherited from class net.shibboleth.idp.attribute.filter.policyrule.impl.AbstractPolicyRule

`getLogPrefix`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent

`setId`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent

`ensureId, getId, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

## Field Details

### value

@NonnullAfterInit @NotEmpty private String value
The value of the entity attribute the entity must have.

## Constructor Details

### AbstractEntityAttributeExactPolicyRule

public AbstractEntityAttributeExactPolicyRule()

## Method Details

### getValue

@NonnullAfterInit @NotEmpty public String getValue()
Gets the value of the entity attribute the entity must have.

Returns:
  value of the entity attribute the entity must have

### setValue

public void setValue(@Nonnull @NotEmpty String attributeValue)
Sets the value of the entity attribute the entity must have.

Parameters:
  `attributeValue` - value of the entity attribute the entity must have

### doInitialize

protected void doInitialize() throws ComponentInitializationException

Overrides:
  `doInitialize` in class `AbstractEntityAttributePolicyRule`
Throws:
  `ComponentInitializationException`

### entityAttributeValueMatches

protected boolean entityAttributeValueMatches(@Nonnull @NotEmpty Set<String> entityAttributeValues)
Checks whether the given entity attribute's values match for particular implementations of this functor.

Specified by:
  `entityAttributeValueMatches` in class `AbstractEntityAttributePolicyRule`
Parameters:
  `entityAttributeValues` - the entity attribute values
Returns:
  true if the value matches, false if not